Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.testelement.property
Interface JMeterProperty

All Superinterfaces:
  Cloneable, Comparable, Serializable

All Known Implementing Classes:
  AbstractProperty

public interface JMeterProperty
extends Serializable, Cloneable, Comparable

Method Summary
`Object` | `clone()`
`boolean` | `getBooleanValue()`
`double` | `getDoubleValue()`
`float` | `getFloatValue()`
`int` | `getIntValue()`
`long` | `getLongValue()`
`String` | `getName()` The name of the property.
`Object` | `getObjectValue()`
`String` | `getStringValue()`
`boolean` | `isRunningVersion()` Returns whether the property is a running version.
`void` | `mergeIn(JMeterProperty prop)` Take the given property object and merge it's value with the current property object.
`void` | `recoverRunningVersion(TestElement owner)` Tell the property to revert to the state at the time setRunningVersion(true) was called.
`void` | `setName(String name)` Set the property name.
`void` | `setObjectValue(Object value)`
`void` | `setRunningVersion(boolean runningVersion)` Make the property a running version or turn it off as the running version.

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### isRunningVersion

    public boolean isRunningVersion()

  Returns whether the property is a running version.

  Returns:
    boolean

### getName

    public String getName()

  The name of the property. Typically this should match the name that keys the property's location in the test elements Map.

  Returns:
    String

### setName

    public void setName(String name)

  Set the property name.

  Parameters:
    `name` -

### setRunningVersion

    public void setRunningVersion(boolean runningVersion)

  Make the property a running version or turn it off as the running version. A property that is made a running version will preserve the current state in such a way that it is retrievable by a future call to 'recoverRunningVersion()'. Additionally, a property that is a running version will resolve all functions prior to returning it's property value. A non-running version property will return functions as their uncompiled string representation.

  Parameters:
    `runningVersion` -

### recoverRunningVersion

    public void recoverRunningVersion(TestElement owner)

  Tell the property to revert to the state at the time setRunningVersion(true) was called.

### mergeIn

    public void mergeIn(JMeterProperty prop)

  Take the given property object and merge it's value with the current property object. For most property types, this will simply be ignored. But for collection properties and test element properties, more complex behavior is required.

  Parameters:
    `prop` -

### getIntValue

    public int getIntValue()

### getLongValue

    public long getLongValue()

### getDoubleValue

    public double getDoubleValue()

### getFloatValue

    public float getFloatValue()

### getBooleanValue

    public boolean getBooleanValue()

### getStringValue

    public String getStringValue()

### getObjectValue

    public Object getObjectValue()

### setObjectValue

    public void setObjectValue(Object value)

### clone

    public Object clone()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.